//
//  SUAppcastItem.h
//  Sparkle
//
//  Created by Andy Matuschak on 3/12/06.
//  Copyright 2006 Andy Matuschak. All rights reserved.
//

#ifndef SUAPPCASTITEM_H
#define SUAPPCASTITEM_H

@interface SUAppcastItem : NSObject

@property (nonatomic, strong, readonly) NSString *title;
@property (nonatomic, strong, readonly) NSDate *date;
@property (nonatomic, strong, readonly) NSString *itemDescription;

@property (nonatomic, strong, readonly) NSURL *releaseNotesURL;

@property (nonatomic, strong, readonly) NSString *DSASignature;
@property (nonatomic, strong, readonly) NSString *minimumSystemVersion;
@property (nonatomic, strong, readonly) NSString *maximumSystemVersion;

@property (nonatomic, strong, readonly) NSURL *fileURL;
@property (nonatomic, strong, readonly) NSString *versionString;
@property (nonatomic, strong, readonly) NSString *displayVersionString;

@property (nonatomic, strong, readonly) NSDictionary *deltaUpdates;

@property (nonatomic, strong, readonly) NSDictionary *propertiesDictionary;

@property (nonatomic, strong, readonly) NSURL *infoURL;

// Initializes with data from a dictionary provided by the RSS class.
- (id)initWithDictionary:(NSDictionary *)dict;
- (id)initWithDictionary:(NSDictionary *)dict failureReason:(NSString **)error;

- (BOOL)isDeltaUpdate;

@end

#endif
